from abc import ABC, abstractmethod

class User(ABC):
    '''
        Class constructor to instatiate the base object
    '''
    def __init__(self):
        self.id = 0
        self.username = ""
        self.email = ""
        self.firstName = ""
        self.lastName = ""
        self.phone = ""
        self.password = ""
        self.role=""

    @abstractmethod
    def login(self):
        pass

    @abstractmethod
    def signup(self):
        pass

