CREATE TABLE IF NOT EXISTS Users (
    id INTEGER PRIMARY KEY,
    first_name TEXT NOT NULL,
    last_name TEXT NOT NULL,
    email TEXT NOT NULL UNIQUE,
    phone TEXT NOT NULL UNIQUE,
    password TEXT NOT NULL,
    role TEXT NOT NULL
);

-- INSERT INTO Users (first_name, last_name, email, phone, password) VALUES ("Luke", "Else", "test@test.com", "07498 289321", "test213");

CREATE TABLE IF NOT EXISTS Products (
    id INTEGER PRIMARY KEY,
    name TEXT NOT NULL,
    cost DECIMAL NOT NULL,
    sellerID INTEGER NOT NULL
        REFERENCES Users (id)
            ON DELETE CASCADE 
            ON UPDATE NO ACTION,
    category TEXT NOT NULL
);


CREATE TABLE IF NOT EXISTS Orders (
    id INTEGER PRIMARY KEY,
    sellerID TEXT NOT NULL
        REFERENCES Users (id)
            ON DELETE NO ACTION
            ON UPDATE NO ACTION,
    total DECIMAL NOT NULL,
    buyerID INTEGER NOT NULL
        REFERENCES Users (id)
            ON DELETE CASCADE 
            ON UPDATE NO ACTION,
    orderDate DATE NOT NULL
);


